Bug 751847 - [abrt] system-config-printer-1.3.7-2.fc16: authconn.py:245:_authloop:AttributeError: 'module' object has no attribute 'IPP_AUTHENTICATION_CANCELED'
[abrt] system-config-printer-1.3.7-2.fc16: authconn.py:245:_authloop:Attribut...
Product: Fedora
Classification: Fedora
Component: python-cups (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
: 753430 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2011-11-07 14:05 EST by Lukas Bezdicka
Modified: 2012-01-30 11:00 EST (History)
4 users (show)

See Also:
Fixed In Version: python-cups-1.9.60-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-01-30 11:00:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lukas Bezdicka 2011-11-07 14:05:16 EST
libreport version: 2.0.6
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
comment:        trying to get Lenxmark X1190 printer to work.
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.1.0-7.fc16.x86_64
reason:         authconn.py:245:_authloop:AttributeError: 'module' object has no attribute 'IPP_AUTHENTICATION_CANCELED'
time:           Mon Nov  7 20:04:11 2011
uid:            1000
username:       social

:authconn.py:245:_authloop:AttributeError: 'module' object has no attribute 'IPP_AUTHENTICATION_CANCELED'
:Traceback (most recent call last):
:  File "/usr/share/system-config-printer/printerproperties.py", line 1844, in on_printer_modified
:    self.load (name)
:  File "/usr/share/system-config-printer/printerproperties.py", line 1287, in load
:    self.ppd = printer.getPPD()
:  File "/usr/lib/python2.7/site-packages/cupshelpers/cupshelpers.py", line 203, in getPPD
:    self._ppd = self.connection.getPPD(self.name)
:  File "/usr/share/system-config-printer/authconn.py", line 215, in <lambda>
:    return lambda *args, **kwds: self._authloop (fname, fn, *args, **kwds)
:  File "/usr/share/system-config-printer/authconn.py", line 245, in _authloop
:    ipp_auth_canceled = cups.IPP_AUTHENTICATION_CANCELED
:AttributeError: 'module' object has no attribute 'IPP_AUTHENTICATION_CANCELED'
:Local variables in innermost frame:
:c: <cupspk.Connection instance at 0x7f1b476d5128>
:retry: False
:e: 1030
:kwds: {}
:self: <authconn.Connection instance at 0x2b0af80>
:args: ('X1100-Series',)
:m: 'client-error-not-found'
:fname: 'getPPD'
:ipp_auth_canceled: 4096
:fn: <method-wrapper '__call__' of builtin_function_or_method object at 0x7f1b464b8a28>
Comment 1 Tim Waugh 2011-11-08 06:01:24 EST
Weird -- the context for this is:

        ipp_auth_canceled = cups.IPP_AUTHENTICATION_CANCELED
    except AttributeError:
        # requires pycups 1.9.60
        ipp_auth_canceled = 4096

I wonder why it isn't catching the AttributeError in the except clause?

In any case, an update to python-cups-1.9.60 will fix it, so I'll start that process.
Comment 3 Jiri Popelka 2011-11-13 04:49:51 EST
*** Bug 753430 has been marked as a duplicate of this bug. ***
Comment 4 Nate Kaiser 2011-11-18 13:39:00 EST
Package: system-config-printer-1.3.7-2.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Dont know problem was here

Note You need to log in before you can comment on or make changes to this bug.